n98-magerun v1.102.0 released

A new release for the Magento 1 version is available. The new release provides the installer for the latest Magento versions.

We also added PHP 7.2 syntax check to the travis build pipeline to be prepared for the next Magento 1 release which will be read for PHP 7.2 out of the box.

Please note that we removed “mcrypt”  from list of required PHP modules. This is also needed to be prepared for PHP 7.2. If you are only using older PHP versions you can re-add the check by creating a .n98-magerun.yaml in your home directory with this content:

Changes

  • New: Magento 1.9.3.10 (by Bono de Visser, #997)
  • New: Magento 1.9.3.9 (by Joel Lupfer, #999)
  • New: dry-run flag for self-update command (port of M2 project)
  • Add openmage-lts to installable versions (by Daniel Fahlke, #1005)
  • Fix: Avoid stripping newsletter templates when stripping subscribers (by Scott Buchanan, #993)
  • Fix: Remove obsolete global DB env variabe (by Daniel Ruf, #988)
  • Imp: Add database setting to travis test matrix (by Daniel Ruf, #986)